liblwipv6-dev_1.5a-5_amd64.deb


Advertisement

Description

liblwipv6-dev - Development files for the LWIPv6 library

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename liblwipv6-dev_1.5a-5_amd64.deb
Package name liblwipv6-dev
Package version 1.5a
Package release 5
Package architecture amd64
Package type deb
Category devel::library libdevel role::devel-lib
Homepage http://wiki.virtualsquare.org/index.php/LWIPV6
License -
Maintainer Debian VSquare Team <virtualsquare@cs.unibo.it>
Download size 97.38 KB
Installed size 482.00 KB

Alternatives

Package Version Architecture Repository
liblwipv6-dev_1.5a-5_i386.deb 1.5a i386 Debian Main
liblwipv6-dev - - -

Requires

Name Value
liblwipv6-2 = 1.5a-5

Conflicts

Name Value
liblwipv6-1-dev -

Replaces

Name Value
liblwipv6-1-dev -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package liblwipv6-dev_1.5a-5_amd64.deb
Source Package lwipv6

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install liblwipv6-dev deb package:
    # sudo apt-get install liblwipv6-dev

Files

Path
/usr/include/lwipv6.h
/usr/lib/liblwipv6.a
/usr/lib/liblwipv6.so
/usr/share/doc/liblwipv6-dev/LWIPv6_Programming_Guide.gz
/usr/share/doc/liblwipv6-dev/README
/usr/share/doc/liblwipv6-dev/changelog.Debian.gz
/usr/share/doc/liblwipv6-dev/copyright

Changelog

2019-08-22 - Renzo Davoli <renzo@cs.unibo.it>
lwipv6 (1.5a-5) unstable; urgency=medium
* src/api/sockets.c: ppoll caused ftbfs on amd64 (Closes: #935284)
2019-01-13 - Filippo Giunchedi <filippo@debian.org>
lwipv6 (1.5a-4) unstable; urgency=medium
* debian/control: fix Maintainer address (see #899905)
2019-01-05 - Renzo Davoli <renzo@cs.unibo.it>
lwipv6 (1.5a-3) unstable; urgency=medium
* Maintainers' Mailing List address updated (Closes: #899905)
2012-01-20 - Ludovico Gardenghi <garden@debian.org>
lwipv6 (1.5a-2) unstable; urgency=low
* Add patch use_arpa_inet_h_for_network_byte_order.patch: don't play with
#define and htonl et al. for trying to optimise, leave arpa/inet.h do the
job. Fix FTBFS on big endian architectures.
2012-01-20 - Ludovico Gardenghi <garden@debian.org>
lwipv6 (1.5a-1) unstable; urgency=low
* New upstream release
- Check for result of vde_open (Closes: #536373)
* Add DM-Upload-Allowed field
* Bump Standards-Version to 3.9.2: nothing to do (.la files removed in NMU)
* Replace libvdeplug2-dev with libvdeplug-dev in Build-Depends.
libvdeplug2-dev has been dropped after vde2-2.2.3-3 and is not compatible
with this version of lwipv6.
* Remove useless Conflicts/Replaces with (obsolete) liblwipv6-1
* Update Ludovico Gardenghi's address to garden@debian.org
* Start using quilt
- Add README.source
* Add patch check_and_use_libdl.patch: add missing -ldl to link phase
(Closes: #558934)
* Add patch fix_soname_version_info.patch: use -version-info instead of
-version-number and bump -version-info to 3:0:1 (upstream forgot to do so)
* Remove useless *.dirs files
* Add ${misc:Depends} to liblwipv6-dev deps
2011-06-25 - Luk Claes <luk@debian.org>
lwipv6 (1.2a-1.1) unstable; urgency=low
* Non-maintainer upload.
* Don't ship .la files (Closes: #622449).
2008-07-21 - Ludovico Gardenghi <garden@acheronte.it>
lwipv6 (1.2a-1) unstable; urgency=low
* New upstream release
+ Fixed type errors on amd64 (Closes: #490827)
2008-06-17 - Filippo Giunchedi <filippo@debian.org>
lwipv6 (1.2-2) unstable; urgency=low
* Add conflicts/replaces onto liblwipv6-1-dev and liblwipv6-1 
(Closes: #486710)
* Add Homepage
* Suggest vde2 only 
2008-06-11 - Filippo Giunchedi <filippo@debian.org>
lwipv6 (1.2-1) unstable; urgency=low
* New upstream version
+ soname bumped to 2
+ remove soname from -dev
* Switch to cdbs
* Update standard-versions to 3.8.0 (changed Source-Version)
2008-02-06 - Filippo Giunchedi <filippo@debian.org>
lwipv6 (1.1a-1) unstable; urgency=low
* New upstream release, build-depend on libvdeplug2-dev
* Fix for OPEN_MAX usage (Closes: #454876)
* Fix debian/watch file

See Also

Package Description
liblwjgl-java-doc_2.9.3+dfsg-5_all.deb Lightweight Java Game Library (javadoc)
liblwjgl-java-jni_2.9.3+dfsg-5_amd64.deb Lightweight Java Game Library (jni)
liblwjgl-java_2.9.3+dfsg-5_all.deb Lightweight Java Game Library
liblwp-authen-negotiate-perl_0.08-2.1_all.deb Perl module for GSSAPI based Authentication Plugin for LWP
liblwp-authen-oauth-perl_1.01-1_all.deb OAuth authentication plugin for LWP
liblwp-authen-oauth2-perl_0.16-1_all.deb module enabling OAuth 2 requests via LWP
liblwp-authen-wsse-perl_0.05-3_all.deb library for enabling X-WSSE authentication in LWP
liblwp-mediatypes-perl_6.04-1_all.deb module to guess media type for a file or a URL
liblwp-online-perl_1.08-2_all.deb module to check if there is Internet access
liblwp-protocol-http-socketunix-perl_0.02-3_all.deb Perl module to speak http through unix sockets
liblwp-protocol-https-perl_6.07-2_all.deb HTTPS driver for LWP::UserAgent
liblwp-protocol-psgi-perl_0.10-1_all.deb override LWP's HTTP/HTTPS backend with your own PSGI application
liblwp-protocol-socks-perl_1.7-1_all.deb SOCKS proxy support for LWP
liblwp-useragent-chicaching-perl_0.04-1_all.deb LWP::UserAgent with caching based on CHI
liblwp-useragent-determined-perl_1.07-1_all.deb LWP useragent that retries errors
Advertisement
Advertisement